## org.eclipse.datatools.sqltools.sqleditor.internal.actions
Class CCPActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.datatools.sqltools.sqleditor.internal.actions.CCPActionGroup

    public class CCPActionGroup

extends org.eclipse.ui.actions.ActionGroup

Action group that adds the copy, cut, paste actions to a view part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Author:
  Hui Cao

Constructor Summary
`CCPActionGroup(org.eclipse.ui.IViewPart part)` Creates a new `CCPActionGroup`.
`CCPActionGroup(org.eclipse.ui.part.Page page)` Creates a new `CCPActionGroup`.

Method Summary
`void` `dispose()`
`void` `fillActionBars(org.eclipse.ui.IActionBars actionBars)`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`org.eclipse.jface.action.IAction` `getDeleteAction()` Returns the delete action managed by this action group.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCPActionGroup

    public CCPActionGroup(org.eclipse.ui.IViewPart part)

  Creates a new `CCPActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

  Parameters:
    `part` - the view part that owns this action group

### CCPActionGroup

    public CCPActionGroup(org.eclipse.ui.part.Page page)

  Creates a new `CCPActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

  Parameters:
    `page` - the page that owns this action group

Method Detail

### getDeleteAction

    public org.eclipse.jface.action.IAction getDeleteAction()

  Returns the delete action managed by this action group.

  Returns:
    the delete action. Returns `null` if the group doesn't provide any delete action

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars actionBars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `org.eclipse.ui.actions.ActionGroup`